Magick++: Magick::ColorHSL Class Reference

Magick++ 6.9.6

Public Member Functions | Protected Member Functions | List of all members
Magick::ColorHSL Class Reference

`#include <Color.h>`

Inheritance diagram for Magick::ColorHSL:
[legend]
Collaboration diagram for Magick::ColorHSL:
[legend]

## Public Member Functions
| ColorHSL (void)
| ColorHSL (const Color &color_)
| ColorHSL (double hue_, double saturation_, double luminosity_)
| ~ColorHSL ()
ColorHSL & | operator= (const Color &color_)
void | hue (double hue_)
double | hue (void) const
void | luminosity (double luminosity_)
double | luminosity (void) const
void | saturation (double saturation_)
double | saturation (void) const
Public Member Functions inherited from Magick::Color
| Color (void)
| Color (Magick::Quantum red_, Magick::Quantum green_, Magick::Quantum blue_)
| Color (Magick::Quantum red_, Magick::Quantum green_, Magick::Quantum blue_, Magick::Quantum alpha_)
| Color (const char *x11color_)
| Color (const Color &color_)
| Color (const PixelPacket &color_)
| Color (const std::string &x11color_)
virtual | ~Color (void)
Color & | operator= (const Color &color_)
const Color & | operator= (const char *x11color)
const Color & | operator= (const std::string &x11color_)
const Color & | operator= (const PixelPacket &color_)
| operator PixelPacket () const
| operator std::string () const
void | alpha (double alpha_)
double | alpha (void) const
void | alphaQuantum (Quantum alpha_)
Quantum | alphaQuantum (void) const
void | blueQuantum (Quantum blue_)
Quantum | blueQuantum (void) const
void | greenQuantum (Quantum green_)
Quantum | greenQuantum (void) const
void | isValid (bool valid_)
bool | isValid (void) const
void | redQuantum (Quantum red_)
Quantum | redQuantum (void) const
double | intensity (void) const

## Protected Member Functions
| ColorHSL (PixelPacket *rep_, PixelType pixelType_)
Protected Member Functions inherited from Magick::Color
| Color (PixelPacket *rep_, PixelType pixelType_)
void | pixel (PixelPacket *rep_, PixelType pixelType_)

## Additional Inherited Members
Static Public Member Functions inherited from Magick::Color
static Quantum | scaleDoubleToQuantum (const double double_)
static double | scaleQuantumToDouble (const Quantum quantum_)
Protected Types inherited from Magick::Color
enum | PixelType { RGBPixel, RGBAPixel, CYMKPixel }
Protected Attributes inherited from Magick::Color
PixelPacket * | _pixel

## Detailed Description

Definition at line 218 of file Color.h.

## Constructor & Destructor Documentation

Magick::ColorHSL::ColorHSL | ( | void |  | ) |

Definition at line 331 of file Color.cpp.

Magick::ColorHSL::ColorHSL | ( | const Color & | color_ | ) |

Definition at line 336 of file Color.cpp.

Magick::ColorHSL::ColorHSL | ( | double | hue_,
|  | double | saturation_,
|  | double | luminosity_
| ) |  |

Definition at line 341 of file Color.cpp.

References Magick::Color::alphaQuantum(), Magick::Color::blueQuantum(), Magick::Color::greenQuantum(), and Magick::Color::redQuantum().

Magick::ColorHSL::~ColorHSL | ( |  | ) |

Definition at line 357 of file Color.cpp.

Magick::ColorHSL::ColorHSL | ( | Magick::PixelPacket * | rep_,
|  | PixelType | pixelType_
| ) |  |
| inlineprotected

Definition at line 460 of file Color.h.

## Member Function Documentation

void Magick::ColorHSL::hue | ( | double | hue_ | ) |

Definition at line 367 of file Color.cpp.

double Magick::ColorHSL::hue | ( | void |  | ) | const

Definition at line 391 of file Color.cpp.

void Magick::ColorHSL::luminosity | ( | double | luminosity_ | ) |

Definition at line 404 of file Color.cpp.

double Magick::ColorHSL::luminosity | ( | void |  | ) | const

Definition at line 428 of file Color.cpp.

Magick::ColorHSL & Magick::ColorHSL::operator= | ( | const Color & | color_ | ) |

Definition at line 361 of file Color.cpp.

void Magick::ColorHSL::saturation | ( | double | saturation_ | ) |

Definition at line 441 of file Color.cpp.

double Magick::ColorHSL::saturation | ( | void |  | ) | const

Definition at line 465 of file Color.cpp.

The documentation for this class was generated from the following files:

- Color.h
- Color.cpp